Subject: Re: [PATCH] git-svn: parse authors file more leniently

From: Michael J Gruber <[email-masked]>
Date: Fri, 11 Sep 2015 10:36:55 +0200

Eric Wong venit, vidit, dixit 10.09.2015 20:08:
> Michael J Gruber <[email-masked]> wrote:
>> Instead, make git svn uses the perl regex
>>
>> /^(.+?|\(no author\))\s*=\s*(.+?)\s*<(.*)>\s*$/
>>
>> for parsing the authors file so that the same (slightly more lenient)
>> regex is used in both cases.
>>
>> Reported-by: Till Schäfer <[email-masked]>
>> Signed-off-by: Michael J Gruber <[email-masked]>
> 
> Thanks.
> Signed-off-by: Eric Wong <[email-masked]>
> 
> And pushed to master of git://bogomips.org/git-svn
> (commit f7c6de0ea1bd5722a1181c6279676c6831b38a34)
> 
> By the way, I also had some other patches sitting around for you.
> Did you ever have time to revisit them?  (I haven't)
> 
>       t/lib-httpd: load mod_unixd
>       t/lib-git-svn: check same httpd module dirs as lib-httpd
> 

Also "from me".

Short answer: No

If I remember correctly, they were correct bit not complete in the sense
that on a standard Fedora install (with newer apache), svn tests still
wouldn't run over http. But I/we learned that those tests were simply
run over local file protocol instead when svn over http didn't work. On
a standard debian install (which apparantly has non-standard, thus
downwards compatible apache config) everything was fine with or without
those patches.

I still plan to look at them when I find time. (I'll be retiring
sometime between 20 and 30 years from now, so there's hope.)

Michael